Gtk2::WebKit::WebDataSource(3)

NAME
Gtk2::WebKit::WebDataSource

HIERARCHY
  Glib::Object
  +----Gtk2::WebKit::WebDataSource

METHODS

  webdatasource = Gtk2::WebKit::WebDataSource->new

  webdatasource = Gtk2::WebKit::WebDataSource->new_with_request ($request)

•   $request (Gtk2::WebKit::NetworkRequest)

  scalar = $data_source->get_data

  string = $data_source->get_encoding

  networkrequest = $data_source->get_initial_request

  boolean = $data_source->is_loading

  webresource = $data_source->get_main_resource

  networkrequest = $data_source->get_request

  list = $data_source->get_subresources

  string = $data_source->get_unreachable_uri

  webframe = $data_source->get_web_frame

SEE ALSO
Gtk2::WebKit, Glib::Object

COPYRIGHT
Copyright (C) 2008, Florian Ragwitz